Subject: Re: [PATCH v2 0/2] builtin add -p: fix hunk splitting

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Jan 2022 11:13:57 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Wed, Jan 19 2022, Junio C Hamano wrote:
>
>> Phillip Wood <[email-masked]> writes:
>>
>>> Even if the helper is finalizing the current hunk then I think that
>>> "nonsense" hunk would still wrong as it would be calling
>>> finalize_hunk() on _every_ context line in the hunk rather than just
>>> being called once to finalize the hunk.
>>
>> True; this triggers every time we finish reading the common context
>> lines and not at the end of hunk.  In any case, I think what we
>> queued looks good for 'next'.
>
> For what it's worth (and as the person who started this side-thread) I
> agree. This looks good as-is, thanks both!
>
>>>>   -		if ((marker == '-' || marker == '+') && *p == ' ')
>>>> -			hunk->splittable_into++;
>>>> +		if (*p == ' ')
>>>> +			complete_file(marker, &hunk->splittable_into);

Yup, thanks all.  The fix is now in 'next' and I expect we can
safely merge it down as part of the first batch next cycle.